<!DOCTYPE html>
<html class="writer-html5" lang="en" data-content_root="./">
<head>
  <meta charset="utf-8" /><meta name="viewport" content="width=device-width, initial-scale=1" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>4. Interacting with the Raspberry Pi &mdash; Spade 1.0 documentation</title>
      <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=80d5e7a1" />
      <link rel="stylesheet" type="text/css" href="_static/css/theme.css?v=19f00094" />
      <link rel="stylesheet" type="text/css" href="_static/copybutton.css?v=76b2166b" />
      <link rel="stylesheet" type="text/css" href="_static/tabs.css?v=a5c4661c" />

  
    <link rel="shortcut icon" href="_static/Spade_icon_2.ico"/>
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script src="_static/jquery.js?v=5d32c60e"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
        <script src="_static/documentation_options.js?v=f2a433a1"></script>
        <script src="_static/doctools.js?v=9a2dae69"></script>
        <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
        <script src="_static/clipboard.min.js?v=a7894cd8"></script>
        <script src="_static/copybutton.js?v=f281be69"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="5. ROS2 node in simulation and reality" href="Simulation.html" />
    <link rel="prev" title="3. Flying" href="Flying.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="index.html" class="icon icon-home">
            Spade
              <img src="_static/Spade_icon_2.png" class="logo" alt="Logo"/>
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="Hardware.html">1. Hardware components</a></li>
<li class="toctree-l1"><a class="reference internal" href="Battery.html">2. Charging the battery</a></li>
<li class="toctree-l1"><a class="reference internal" href="Flying.html">3. Flying</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">4. Interacting with the Raspberry Pi</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#flashing-the-raspberry-pi">4.1. Flashing the Raspberry Pi</a></li>
<li class="toctree-l2"><a class="reference internal" href="#ssh-into-the-raspberry-pi">4.2. SSH into the Raspberry Pi</a></li>
<li class="toctree-l2"><a class="reference internal" href="#next-steps">4.3. Next Steps</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="Simulation.html">5. ROS2 node in simulation and reality</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">Spade</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home" aria-label="Home"></a></li>
      <li class="breadcrumb-item active"><span class="section-number">4. </span>Interacting with the Raspberry Pi</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/RaspberryPi.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <div class="toctree-wrapper compound">
</div>
<section id="interacting-with-the-raspberry-pi">
<span id="raspberry-pi"></span><h1><span class="section-number">4. </span>Interacting with the Raspberry Pi<a class="headerlink" href="#interacting-with-the-raspberry-pi" title="Link to this heading"></a></h1>
<a class="reference internal image-reference" href="_images/Raspberry_Pi.png"><img alt="Raspberry" class="align-center" src="_images/Raspberry_Pi.png" style="width: 400px;" /></a>
<section id="flashing-the-raspberry-pi">
<h2><span class="section-number">4.1. </span>Flashing the Raspberry Pi<a class="headerlink" href="#flashing-the-raspberry-pi" title="Link to this heading"></a></h2>
<p>If you have purchased the preassembled drone then your SD card should already be flashed with the correct image. If you decide to create your own drone or you have problems with the SD card, then you can get the recommended image from <a class="reference external" href="https://github.com/Markus-Simonsen/Spade_docs/">here</a>. Then you can flash any SD card by using for example Win32 Disk Imager.</p>
</section>
<section id="ssh-into-the-raspberry-pi">
<h2><span class="section-number">4.2. </span>SSH into the Raspberry Pi<a class="headerlink" href="#ssh-into-the-raspberry-pi" title="Link to this heading"></a></h2>
<p>To interact with the microcontroller on the drone, and run programs on it, one good option is to use SSH. This enables you to easily contact the Raspberry Pi without the need for a USB cable. For this, you will need to have your computer and Raspberry Pi running on the same network. When you have a common internet connection. You need the IP address of the Raspberry Pi. This can be found by running the following command in the Raspberry Pi terminal:</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>To run commands in the terminal of the Raspberry Pi, you can connect a monitor, mouse and keyboard to it.</p>
</div>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>Be aware that just connecting your computer and Raspberry Pi directly with an ethernet cable can be troublesome, since there is no router to give out IP addresses.</p>
</div>
<div class="highlight-console notranslate"><div class="highlight"><pre><span></span><span class="go">ifconfig</span>
</pre></div>
</div>
<p>To check that your computer is connected to the Raspberry Pi you can ping it from your computer’s terminal.</p>
<div class="highlight-console notranslate"><div class="highlight"><pre><span></span><span class="go">ping microcontroller-IP</span>
</pre></div>
</div>
<p>Where microcontroller-IP is replaced with the IP that you found in your Raspberry Pi. If you get a response from the Raspberry Pi, you are ready to SSH into it.</p>
<p>The username and password were chosen when you flashed the image onto the microcontroller.
The command to SSH into the Raspberry Pi is:</p>
<div class="highlight-console notranslate"><div class="highlight"><pre><span></span><span class="go">ssh username@microcontroller-IP</span>
</pre></div>
</div>
<p>Where username is exchanged with the username of your microcontroller and microcontroller-IP is replaced with the IP that you found. After running this command the terminal will ask for the password of the microcontroller. After entering the password you will be logged into the microcontroller.</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>Be aware that while writing the password into the terminal, it will not show any characters, this is normal.</p>
</div>
</section>
<section id="next-steps">
<h2><span class="section-number">4.3. </span>Next Steps<a class="headerlink" href="#next-steps" title="Link to this heading"></a></h2>
<p>The next session will explain how to simulate the drone, and how to load your program onto the drone to make it fly autonomous missions.</p>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="Flying.html" class="btn btn-neutral float-left" title="3. Flying" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="Simulation.html" class="btn btn-neutral float-right" title="5. ROS2 node in simulation and reality" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2024, Markus Simonsen.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>